libpackagekit-glib2-devel-1.1.12-7.1.x86_64.rpm


Advertisement

Description

libpackagekit-glib2-devel - GLib integration of PackageKit

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libpackagekit-glib2-devel-1.1.12-7.1.x86_64.rpm
Package name libpackagekit-glib2-devel
Package version 1.1.12
Package release 7.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/GNOME
Homepage https://www.freedesktop.org/software/PackageKit/
License LGPL-2.1-or-later
Maintainer -
Download size 88.80 KB
Installed size 930.73 KB
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

Alternatives

Package Version Architecture Repository
libpackagekit-glib2-devel-1.1.12-494.1.x86_64.rpm 1.1.12 x86_64 GNOME Next
libpackagekit-glib2-devel-1.1.12-494.1.i586.rpm 1.1.12 i586 GNOME Next
libpackagekit-glib2-devel-1.1.12-395.3.x86_64.rpm 1.1.12 x86_64 GNOME Factory
libpackagekit-glib2-devel-1.1.12-395.3.i586.rpm 1.1.12 i586 GNOME Factory
libpackagekit-glib2-devel-1.1.12-7.1.i586.rpm 1.1.12 i586 openSUSE Oss
libpackagekit-glib2-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libpackagekit-glib2-18 = 1.1.12
pkgconfig(glib-2.0) -
pkgconfig(gobject-2.0) -
pkgconfig(gthread-2.0) -
pkgconfig(sqlite3) -
typelib-1_0-PackageKitGlib-1_0 = 1.1.12

Provides

Name Value
libpackagekit-glib12-devel = 1.1.12
libpackagekit-glib2-devel = 1.1.12-7.1
libpackagekit-glib2-devel(x86-64) = 1.1.12-7.1
pkgconfig(packagekit-glib2) = 1.1.12

Obsoletes

Name Value
libpackagekit-glib12-devel < 1.1.12

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpackagekit-glib2-devel-1.1.12-7.1.x86_64.rpm
Source Package PackageKit-1.1.12-7.1.src.rpm

Install Howto

Install libpackagekit-glib2-devel rpm package:

# zypper install libpackagekit-glib2-devel

Files

Path
/usr/include/PackageKit/
/usr/include/PackageKit/packagekit-glib2/packagekit.h
/usr/include/PackageKit/packagekit-glib2/pk-bitfield.h
/usr/include/PackageKit/packagekit-glib2/pk-category.h
/usr/include/PackageKit/packagekit-glib2/pk-client-helper.h
/usr/include/PackageKit/packagekit-glib2/pk-client-sync.h
/usr/include/PackageKit/packagekit-glib2/pk-client.h
/usr/include/PackageKit/packagekit-glib2/pk-common.h
/usr/include/PackageKit/packagekit-glib2/pk-control-sync.h
/usr/include/PackageKit/packagekit-glib2/pk-control.h
/usr/include/PackageKit/packagekit-glib2/pk-desktop.h
/usr/include/PackageKit/packagekit-glib2/pk-details.h
/usr/include/PackageKit/packagekit-glib2/pk-distro-upgrade.h
/usr/include/PackageKit/packagekit-glib2/pk-enum-types.h
/usr/include/PackageKit/packagekit-glib2/pk-enum.h
/usr/include/PackageKit/packagekit-glib2/pk-error.h
/usr/include/PackageKit/packagekit-glib2/pk-eula-required.h
/usr/include/PackageKit/packagekit-glib2/pk-files.h
/usr/include/PackageKit/packagekit-glib2/pk-item-progress.h
/usr/include/PackageKit/packagekit-glib2/pk-media-change-required.h
/usr/include/PackageKit/packagekit-glib2/pk-offline.h
/usr/include/PackageKit/packagekit-glib2/pk-package-id.h
/usr/include/PackageKit/packagekit-glib2/pk-package-ids.h
/usr/include/PackageKit/packagekit-glib2/pk-package-sack-sync.h
/usr/include/PackageKit/packagekit-glib2/pk-package-sack.h
/usr/include/PackageKit/packagekit-glib2/pk-package.h
/usr/include/PackageKit/packagekit-glib2/pk-progress.h
/usr/include/PackageKit/packagekit-glib2/pk-repo-detail.h
/usr/include/PackageKit/packagekit-glib2/pk-repo-signature-required.h
/usr/include/PackageKit/packagekit-glib2/pk-require-restart.h
/usr/include/PackageKit/packagekit-glib2/pk-results.h
/usr/include/PackageKit/packagekit-glib2/pk-source.h
/usr/include/PackageKit/packagekit-glib2/pk-task-sync.h
/usr/include/PackageKit/packagekit-glib2/pk-task.h
/usr/include/PackageKit/packagekit-glib2/pk-transaction-list.h
/usr/include/PackageKit/packagekit-glib2/pk-transaction-past.h
/usr/include/PackageKit/packagekit-glib2/pk-update-detail.h
/usr/include/PackageKit/packagekit-glib2/pk-version.h
/usr/lib64/libpackagekit-glib2.so
/usr/lib64/pkgconfig/packagekit-glib2.pc
/usr/share/gir-1.0/PackageKitGlib-1.0.gir

Changelog

2019-03-19 - sckang@suse.com
- Add PackageKit-remove-polkit-rules.patch: Remove polkit rules
file (bsc#1125434).
2019-03-17 - Jan Engelhardt <jengelh@inai.de>
- Limit fdupes to the btrfs subvolume.
- Combine %service_* calls to reduce generated boilerplate.
- Redo summaries without em dashes.
- Reduce %systemd_requires to %systemd_ordering; %service_*
can deal with the absence of it.
2019-03-04 - sckang@suse.com
- Modify PackageKit-systemd-timers.patch: Fix unit field in
packagekit-background.timer (boo#1126943).
2019-02-14 - Stasiek Michalski <hellcp@mailbox.org>
- Add zypp-Switch-to-doUpgrade-solver-when-required-by-distribution.patch
so Tumbleweed can properly update
2019-01-07 - sckang@suse.com
- Add PackageKit-systemd-timers.patch: Migrate from cron to
systemd timer (bsc#1115410).
2018-12-26 - sckang@suse.com
- Drop PackageKit-avoid-endless-loop-on-autoupdate.patch: With
PackageKit-return-on-transactions-going-backwards.patch and
PackageKit-remove-default-thread-check.patch, EULA promt works
without any issue (bsc#1038425).
- Add PackageKit-remove-default-thread-check.patch: Remove the
pk_is_thread_default() check in pk_backend_is_eula_valid() so
that we can call it in zypp backend without any issue
(gh#hughsie/PackageKit#301, bsc#1038425).
- Add PackageKit-return-on-transactions-going-backwards.patch:
transaction: Return directly when its state is going backwards
(gh#hughsie/PackageKit#301, bsc#1038425).
2018-11-28 - Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 1.1.12:
+ common: Handle quoted strings in /etc/os-release.
+ offline update: Fix translations to show up.
+ Backends:
- zypp: Implement GetFilesLocal in zypp backend.
- Various changes related to aptcc and dnf.
- Changes from version 1.1.11:
+ New Features:
- Add --autoremove option to pkcon.
- Shutdown the daemon on idle by default.
+ Bugfixes:
- De-register callbacks on PkClientHelper finalize.
- Don't complain if command-not-found get uninstalled while
running.
- Fix critical on idle shutdown.
- Fix issues with debconf helper not working.
- Never assert when an interactive TTY is not available.
- Schedule offline update service to run after
system-update-pre.target.
- Shut down services cleanly before rebooting after offline
updates.
+ Backends:
- Various changes related to aptcc, dnf and nix.
- Drop PackageKit-get-files-local.patch: fixed upstream.
2018-10-16 - Antonio Larrosa <alarrosa@suse.com>
- Add files/directories created by tmpfiles.d under /var as ghost
entries to the rpm filelist.
2018-08-31 - xwang@suse.com
- Add PackageKit-get-files-local.patch: Implement GetFilesLocal
method in zypp backend (bsc#1097581).
2018-08-09 - sckang@suse.com
- Add PackageKit.tmpfiles: Use tmpfile.d to make sure PackageKit
doesn't package files in /var (bsc#1098042).

See Also

Package Description
libpackagekit-glib2-devel-32bit-1.1.12-7.1.x86_64.rpm GLib integration of PackageKit
libpackagekitqt5-1-1.0.1-2.1.i586.rpm Simple software installation management software
libpackagekitqt5-1-1.0.1-2.1.x86_64.rpm Simple software installation management software
libpagemaker-0_0-0-0.0.4-1.5.i586.rpm A library to import Adobe PageMaker documents
libpagemaker-0_0-0-0.0.4-1.5.x86_64.rpm A library to import Adobe PageMaker documents
libpagemaker-devel-0.0.4-1.5.i586.rpm Files for Developing with libpagemaker
libpagemaker-devel-0.0.4-1.5.x86_64.rpm Files for Developing with libpagemaker
libpagemaker-devel-doc-0.0.4-1.5.noarch.rpm Documentation for the libpagemaker API
libpagemaker-tools-0.0.4-1.5.i586.rpm Tools to transform Adobe PageMaker documents into other formats
libpagemaker-tools-0.0.4-1.5.x86_64.rpm Tools to transform Adobe PageMaker documents into other formats
libpainter0-0.9.10-1.1.i586.rpm Library for manipulating memory bitmaps
libpainter0-0.9.10-1.1.x86_64.rpm Library for manipulating memory bitmaps
libpamtest-devel-1.0.7-1.2.i586.rpm A tool to test PAM applications and PAM modules
libpamtest-devel-1.0.7-1.2.x86_64.rpm A tool to test PAM applications and PAM modules
libpamtest-devel-doc-1.0.7-1.2.i586.rpm The libpamtest API documentation
Advertisement
Advertisement